Bug 65326 - Intel SRCMR RAID Controller Card Segmentation Fault
Intel SRCMR RAID Controller Card Segmentation Fault
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-05-21 21:23 EDT by Caniffe
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-07 14:39:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Caniffe 2002-05-21 21:23:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461)

Description of problem:
I would like to alert users to a critical problem with the Intel SRCMR RAID 
Controller under RedHat 7.3 on a Intel SCB2 server board. 

Upon rebooting or halting the system, the gdth drivers crash under a seg fault 
when executing "halt -i -b" or "reboot -i -b" - the EIP trace leads back to 
scsi_mod, which in turn is required to run the gdth driver.  It appears just as 
the gdth driver tries to flush data to the raid drives.

This issue only appears to occur under RH compiled kernels - recompiling the 
kernel yourself using minimal scsi config options appears to overcome the 
segfault.  The array is 1x Mirrored, so two drives, RAID 1.

Wish I could provide more information than this, except for a lack of 
mouse/syslog etc (as the segfault occurs literally seconds before "System 
halted" (which in turn fails to appear) - all devices are unmounted by this 
stage, so filesystem corruption should be minimal) 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Use a RedHat 7.3 SMP Kernel prior to this date.
2. Use an Intel SRCMR controller card, with 1x Mirrored array (gdth drivers)
3. Use an Intel SCB2 server board
4. Shutdown/halt/reboot the system.

Actual Results:  The system segfaults with EIP errors (unlistable due to lack 
of screen capture at this point).

Data loss seems to be zero by this point as the system appears to have 
unmounted successfully; however on "gdth: flushing drives", and data not yet 
written to the RAID drives will be lost.

Expected Results:  "System Halted" should display enabling a system shutdown.

Additional info:
Comment 1 Caniffe 2002-05-21 21:25:30 EDT
Forgot to mention, that once the seg fault occurs, the system will hang.  This 
is rather disasterous for servers that need a reboot, as it will never come 
back up without a remote reboot.
Comment 2 Arjan van de Ven 2002-05-28 07:30:14 EDT
I've looked at the code in question quite a bit but haven't found any obvious bugs..
Comment 3 Arjan van de Ven 2003-06-07 14:39:26 EDT
this got fixed several errata ago

Note You need to log in before you can comment on or make changes to this bug.